DeliveriesSearch:
  post:
    tags:
      - deliveries
    operationId: searchDeliveries
    summary: Поиск объектов типа Delivery
    description: Поиск объектов типа Delivery
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/deliveries.yaml#/SearchDeliveriesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/deliveries.yaml#/SearchDeliveriesResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
DeliveriesOne:
  get:
    tags:
      - deliveries
    operationId: getDelivery
    summary: Получение объекта типа Delivery
    description: Получение объекта типа Delivery
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/deliveries.yaml#/DeliveryResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - deliveries
    operationId: patchDelivery
    summary: Обновление части полей объекта типа Delivery
    description: Обновление части полей объекта типа Delivery
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\DeliveriesController@patch'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/deliveries.yaml#/PatchDeliveryRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/deliveries.yaml#/DeliveryResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersSearch:
  post:
    tags:
      - orders
    operationId: searchOrders
    summary: Поиск объектов типа Order
    description: Поиск объектов типа Order
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/SearchOrdersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/SearchOrdersResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOne:
  get:
    tags:
      - orders
    operationId: getOrder
    summary: Получение объекта типа Order
    description: Получение объекта типа Order
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - orders
    operationId: patchOrder
    summary: Обновление части полей объекта типа Order
    description: Обновление части полей объекта типа Order
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@patch'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/PatchOrderRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneStartPayment:
  post:
    tags:
      - orders
    operationId: startOrderPayment
    summary: Запустить оплату
    description: Создать оплату во внешней системе (если это не было сделано ранее) и получить ссылку
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@paymentStart'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/OrderStartPaymentRequest'
    responses:
      "200":
        description: Успех
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderStartPaymentResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneCheckPayment:
  get:
    tags:
      - orders
    operationId: checkOrderPayment
    summary: Проверить статус оплаты заказа
    description: Проверить статус оплаты заказа
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@paymentCheck'
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderCheckPaymentResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneChangePaymentMethod:
  post:
    tags:
      - orders
    operationId: changeOrderPaymentSystem
    summary: Изменить систему оплаты заказа
    description: Изменить систему оплаты заказа
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@changePaymentSystem'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/OrderChangePaymentSystemRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrderOneChangeDelivery:
  post:
    tags:
      - orders
    operationId: changeOrderDelivery
    summary: Обновление полей по доставке объекта типа Order
    description: Обновление части полей по доставке объекта типа Order
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@changeDelivery'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/PatchOrderDeliveryRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/orders.yaml#/OrderResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneComment:
  put:
    tags:
      - orders
    operationId: addOrderComment
    summary: Добавить внутренний комментарий
    description: Добавить внутренний комментарий
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@addComment'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/orders.yaml#/OrderAddCommentRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneAttachFile:
  post:
    tags:
      - orders
    operationId: attachOrderFile
    summary: Прикрепить файл к заказу
    description: Прикрепить файл к заказу
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrderFilesController@attach'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        multipart/form-data:
          schema:
            $ref: '../common_schemas.yaml#/MultipartFileUploadRequest'
    responses:
      "201":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/order_files.yaml#/OrderAttachFileResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersOneDeleteFiles:
  delete:
    tags:
      - orders
    operationId: deleteOrderFiles
    summary:  Удалить прикрепленные файлы к заказу
    description: Удалить прикрепленные файлы к заказу
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrderFilesController@delete'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/order_files.yaml#/OrderDeleteFilesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrdersCommit:
  post:
    tags:
      - orders
    operationId: commitOrder
    summary: Оформить заказ
    description: Оформить заказ
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\OrdersController@commit'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/checkout.yaml#/OrderCommitRequest'
    responses:
      "201":
        description: Заказ оформлен
        content:
          application/json:
            schema:
              $ref: './schemas/checkout.yaml#/OrderCommitResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ShipmentsSearch:
  post:
    tags:
      - shipments
    operationId: searchShipments
    summary: Поиск объектов типа Shipment
    description: Поиск объектов типа Shipment
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/shipments.yaml#/SearchShipmentsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/shipments.yaml#/SearchShipmentsResponse'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ShipmentsOne:
  get:
    tags:
      - shipments
    operationId: getShipment
    summary: Получение объекта типа Shipment
    description: Получение объекта типа Shipment
    x-lg-handler: 'App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/shipments.yaml#/ShipmentResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - shipments
    operationId: patchShipment
    summary: Обновление части полей объекта типа Shipment
    description: Обновление части полей объекта типа Shipment
    x-lg-handler: '\App\Http\ApiV1\Modules\Orders\Controllers\ShipmentsController@patch'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/shipments.yaml#/PatchShipmentRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/shipments.yaml#/ShipmentResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
OrderItemOneChangeQty:
  post:
    tags:
      - order_items
    operationId: changeOrderItemQty
    summary: Изменение количества OrderItem
    description: Изменение количества OrderItem
    x-lg-handler: '\App\Http\ApiV1\Modules\Orders\Controllers\OrderItemsController@changeQty'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/order_items.yaml#/OrderItemChangeQtyRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/order_items.yaml#/OrderItemChangeQtyResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

OrderItemsAdd:
  post:
    tags:
      - order_items
    operationId: addOrderItems
    summary: Добавление OrderItems в заказ
    description: Добавление OrderItems в заказ
    x-lg-handler: '\App\Http\ApiV1\Modules\Orders\Controllers\OrderItemsController@add'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/order_items.yaml#/OrderItemsAddRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/order_items.yaml#/OrderItemsAddResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

OrderItemsDelete:
  post:
    tags:
      - order_items
    operationId: deleteOrderItems
    summary: Удаление OrderItems из заказа
    description: Удаление OrderItems из заказа
    x-lg-handler: '\App\Http\ApiV1\Modules\Orders\Controllers\OrderItemsController@delete'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/order_items.yaml#/OrderItemsDeleteRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'


PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Числовой id
  example: 1

QueryInclude:
  in: query
  name: include
  required: false
  description: Связанные сущности для подгрузки, через запятую
  schema:
    type: string
